@ECHO OFF
cls
echo                            DR. DREAD!!
echo          An Awesome Color Animated ANSI Adventure Game!!!!!!
echo          Multi-Player, Player Challenges, Traveling & Chat!!
echo         -----------------------------------------------------
echo         -----------------------------------------------------

rem ***************************************

echo ***** Testing ability to set DOS attributes
echo "TESTING DOS ATTRIBUTES" > kill.txt
attrib +R kill.txt
del kill.txt

if not exist kill.txt goto ask
if exist kill.txt goto kill3

rem ***************************************

:kill3
   attrib -R kill.txt
   del kill.txt
   echo "Great! Passed DOS attribute test."
echo         --------------------------------------------------
   goto howto

rem ***************************************

:ask
echo Installing Dr. Dread requires that all *.txt and *.exe files be
echo set to READ ONLY by using the dos attribute command.
echo .
echo This installation procedure normally takes care of this automatically, 
echo but it appears you do not have this DOS command.
echo You must MANUALLY set your attributes for *.txt and *.exe
echo files to READ ONLY (+R) *AFTER* this installation completes. 
echo .
echo IF THIS IS AN UPGRADE: you must set all *.txt & *.exe files to 
echo NOT READ ONLY *BEFORE* continuing so that the new files can 
echo copy over the old files:
echo .
echo ATTRIB -R *.*
echo .
echo If this is an upgrade, please Exit Now and set attributes to 
echo NOT READ ONLY.
echo If this is a new installation, please set the attributes AFTER
echo the installation:
echo .
echo ATTRIB +R *.TXT
echo ATTRIB +R *.EXE
echo .
choice /c:EC (E)xit Now    (C)ontinue
if errorlevel 2 goto howto
if errorlevel 1 goto end
rem ***************************************

rem ***************************************
:howto
echo         --------------------------------------------------
echo Please indicate the method of installation or upgrade:
echo 1 ***Installing Dr. Dread for the first time
echo 2 ***Upgrading Dr. Dread from 1.9 or later
echo 3 Nevermind, don't install Dr. Dread now.
echo 4 Upgrading Dr. Dread from a version previous to 1.9
echo (Dread release number is on opening screen.)

echo         --------------------------------------------------
choice /c:1234 Please select how to install or upgrade Dr. Dread.
echo         --------------------------------------------------
if errorlevel 4 goto four
if errorlevel 3 goto end
if errorlevel 2 goto two
if errorlevel 1 goto one
rem ***************************************


rem *************************************** FIRST TIME INSTALL
:one
pkunzip game.zip
attrib +R *.txt
attrib +R *.exe
goto success
rem ***************************************

rem *************************************** UPGRADE PRIOR TO 1.9
:four
echo --------------------------------------------------------------
echo WARNING to 1.9 or earlier users! 
echo Notice how you NO LONGER call ZAP.EXE!!!!!!!!!!
echo You MUST now call DREAD! All Zap names have been changed to DREAD!
echo         --------------------------------------------------
echo Since this is a version prior to 1.9, we must reset the game. Sorry.
echo         --------------------------------------------------
pause
goto one
rem ***************************************


rem *************************************** UPGRADE FROM 1.9 or greater
:two

echo --------------------------------------------------
echo Renaming current player, maintenance, destroyer databases.
echo --------------------------------------------------
rename maint.dbf mtemp1.dbf
rename players.dbf mtemp2.dbf
rename players.cdx mtemp2.cdx
rename destroys.dbf mtemp3.dbf
rename destroys.cdx mtemp3.cdx

echo --------------------------------------------------
echo Turning off READ ONLY attributes.
echo --------------------------------------------------
attrib -R *.txt
attrib -R dread.exe
attrib -R dreadm.exe

echo --------------------------------------------------
echo Deleting old unused files from previous version.
echo --------------------------------------------------
del dreadm.exe
del store.fpt
del maintain.dbf
del destroys.zip
del upgrade.*
del newsite.*
del config.*
del sysop.doc
del dr1.ans
del dr_ad2c.ans
del *.err
del *.fxp
del drhelp.txt

echo --------------------------------------------------
echo Unzipping archive.
echo --------------------------------------------------
pkunzip GAME.zip
echo --------------------------------------------------
echo Setting READ ONLY attributes for necessary files.
echo --------------------------------------------------
attrib +R dread.exe
attrib +R *.txt

echo --------------------------------------------------
echo Renaming player, maintenance, and destroyer files.
echo --------------------------------------------------
if exist mtemp1.dbf goto maint
if not exist mtemp1.dbf goto go1

:maint
del maint.dbf
rename mtemp1.dbf maint.dbf
del mtemp1.dbf
goto go1

:go1
if exist mtemp2.dbf goto play
if not exist mtemp2.dbf goto go2

:play
del players.dbf
del players.cdx
rename mtemp2.cdx players.cdx
rename mtemp2.dbf players.dbf
del mtemp2.dbf
del mtemp2.cdx
goto go2

:go2
if exist mtemp3.dbf goto destroy
if not exist mtemp3.dbf goto go3

:destroy
del destroys.dbf
del destroys.cdx
rename mtemp3.cdx destroys.cdx
rename mtemp3.dbf destroys.dbf
del mtemp3.dbf
del mtemp3.cdx
goto go3

:go3
cls

goto success

rem ***************************************

:success
echo         --------------------------------------------------
echo         --------------------------------------------------
echo Read the SYSOP1 & 2 .DOC files if you have not done so.
echo A sample .bat file for calling DREAD.EXE is included.
echo The name of the file is DREAD.BAT. Please refer to it
echo for calling Dr. Dread from your node directory.
echo         --------------------------------------------------
pause
echo A sample configuration file is included for those who
echo REQUIRE it. If the game works fine when installing, you
echo probably do not need to use the configuration file at all
echo and do not need to even look at it.
echo         --------------------------------------------------
pause
echo The DREAD.BAT file tells how you must pass parameters on
echo the command line for calling Dr. Dread. IE: Call the .exe,
echo pass the drop file path and name, pass the node #, optionally
echo pass the name of the configuration file. Drop file and node
echo number must be passed even for single line BBS's.
echo --------------------------------------------------------------
echo dread c:\bbs\node1\dorinfo1.def 1 dread.cfg
echo --------------------------------------------------------------
pause
echo DREADM for MAINTENANCE is no longer used! Please delete all
echo references to DREADM. Maintenance MUST BE RUN IN A NIGHTLY
echo MAINTENANCE BATCH FILE BY CALLING: dread maint
echo --------------------------------------------------------------
pause
echo FOR SYSOP MODE: dread sysop
echo --------------------------------------------------------------
pause
echo NOW ADVERTISE DR. DREAD! USE our beautiful Venus startup
echo screen to advertise the 10-minute Dread on your BBS.
echo The name of the file is: DREAD_AD.ANS
echo --------------------------------------------------------------
goto end

:end
